From a1b42c1bccf6cf3915e0cc6ff05482baf82bc0d2 Mon Sep 17 00:00:00 2001
From: Janne Grunau <janne-fdr@jannau.net>
Date: May 01 2025 17:50:18 +0000
Subject: [PATCH 1/3] Number sources to make deleting source files easier


---

diff --git a/asahi-repos.spec b/asahi-repos.spec
index 32ded82..903d0bf 100644
--- a/asahi-repos.spec
+++ b/asahi-repos.spec
@@ -5,29 +5,29 @@ Summary:        Additional repositories for Apple Silicon hardware enablement
 
 License:        MIT
 URL:            https://pagure.io/fedora-asahi/asahi-repos
-Source:         LICENSE
-Source:         README.md
-Source:         group_asahi-fedora-remix-branding.repo
-Source:         RPM-GPG-KEY-group_asahi-fedora-remix-branding
-Source:         group_asahi-u-boot.repo
-Source:         RPM-GPG-KEY-group_asahi-u-boot
-Source:         group_asahi-kernel.repo
-Source:         RPM-GPG-KEY-group_asahi-kernel
-Source:         group_asahi-mesa.repo
-Source:         RPM-GPG-KEY-group_asahi-mesa
-Source:         group_asahi-rawhide-rebuilds.repo
-Source:         RPM-GPG-KEY-group_asahi-rawhide-rebuilds
-Source:         group_asahi-kernel-edge.repo
-Source:         RPM-GPG-KEY-group_asahi-kernel-edge
-Source:         fedora-asahi-remix-hotfixes.repo
-Source:         group_asahi-fedora-remix-scripts.repo
-Source:         RPM-GPG-KEY-group_asahi-fedora-remix-scripts
-Source:         group_asahi-flatpak.repo
-Source:         RPM-GPG-KEY-group_asahi-flatpak
-Source:         group_asahi-mesa-i386.repo
-Source:         group_asahi-mesa-x86_64.repo
-Source:         group_asahi-steam.repo
-Source:         RPM-GPG-KEY-group_asahi-steam
+Source0:        LICENSE
+Source1:        README.md
+Source2:        group_asahi-fedora-remix-branding.repo
+Source3:        RPM-GPG-KEY-group_asahi-fedora-remix-branding
+Source4:        group_asahi-u-boot.repo
+Source5:        RPM-GPG-KEY-group_asahi-u-boot
+Source6:        group_asahi-kernel.repo
+Source7:        RPM-GPG-KEY-group_asahi-kernel
+Source8:        group_asahi-mesa.repo
+Source9:        RPM-GPG-KEY-group_asahi-mesa
+Source10:       group_asahi-rawhide-rebuilds.repo
+Source11:       RPM-GPG-KEY-group_asahi-rawhide-rebuilds
+Source12:       group_asahi-kernel-edge.repo
+Source13:       RPM-GPG-KEY-group_asahi-kernel-edge
+Source14:       fedora-asahi-remix-hotfixes.repo
+Source15:       group_asahi-fedora-remix-scripts.repo
+Source16:       RPM-GPG-KEY-group_asahi-fedora-remix-scripts
+Source17:       group_asahi-flatpak.repo
+Source18:       RPM-GPG-KEY-group_asahi-flatpak
+Source19:       group_asahi-mesa-i386.repo
+Source20:       group_asahi-mesa-x86_64.repo
+Source21:       group_asahi-steam.repo
+Source22:       RPM-GPG-KEY-group_asahi-steam
 
 %global repo_sources %SOURCE2 %SOURCE4 %SOURCE6 %SOURCE8 %SOURCE10 %SOURCE12 %SOURCE14 %SOURCE15 %SOURCE17
 %global key_sources %SOURCE3 %SOURCE5 %SOURCE7 %SOURCE9 %SOURCE11 %SOURCE13 %SOURCE16 %SOURCE18

From 5d0208bdfdbb5b4846fb575bc4048f8716adf489 Mon Sep 17 00:00:00 2001
From: Janne Grunau <janne-fdr@jannau.net>
Date: May 01 2025 18:09:00 +0000
Subject: [PATCH 2/3] Always provide the steam repo as F40 is the lowest supported release


---

diff --git a/asahi-repos.spec b/asahi-repos.spec
index 903d0bf..b6f2ec2 100644
--- a/asahi-repos.spec
+++ b/asahi-repos.spec
@@ -34,11 +34,9 @@ Source22:       RPM-GPG-KEY-group_asahi-steam
 %dnl install mesa x86 overlay repos only on aarch64
 %if "%{_arch}" == "aarch64"
 %global repo_sources %{repo_sources} %SOURCE19 %SOURCE20
-%if (0%{?fedora} && 0%{?fedora} >= 40)
 %global repo_sources %{repo_sources} %SOURCE21
 %global key_sources %{key_sources} %SOURCE22
 %endif
-%endif
 
 Requires:       fedora-repos
 Requires:       fedora-gpg-keys
@@ -119,11 +117,9 @@ install -Dpm0644 -t %{buildroot}%{_sysconfdir}/pki/rpm-gpg \
 %if "%{_arch}" == "aarch64"
 %config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-mesa-i386.repo
 %config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-mesa-x86_64.repo
-%if (0%{?fedora} && 0%{?fedora} >= 40)
 %config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-steam.repo
 %config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-steam
 %endif
-%endif
 
 %files devel
 %license LICENSE

From 00fde7d27beab4ea3f1cc26f55cf77136a0bde8b Mon Sep 17 00:00:00 2001
From: Janne Grunau <janne-fdr@jannau.net>
Date: May 01 2025 18:12:36 +0000
Subject: [PATCH 3/3] Drop asahi-repos-edge


---

diff --git a/asahi-repos.spec b/asahi-repos.spec
index b6f2ec2..d9486bb 100644
--- a/asahi-repos.spec
+++ b/asahi-repos.spec
@@ -1,6 +1,6 @@
 Name:           asahi-repos
 Version:        1
-Release:        19%{?dist}
+Release:        20%{?dist}
 Summary:        Additional repositories for Apple Silicon hardware enablement
 
 License:        MIT
@@ -17,8 +17,6 @@ Source8:        group_asahi-mesa.repo
 Source9:        RPM-GPG-KEY-group_asahi-mesa
 Source10:       group_asahi-rawhide-rebuilds.repo
 Source11:       RPM-GPG-KEY-group_asahi-rawhide-rebuilds
-Source12:       group_asahi-kernel-edge.repo
-Source13:       RPM-GPG-KEY-group_asahi-kernel-edge
 Source14:       fedora-asahi-remix-hotfixes.repo
 Source15:       group_asahi-fedora-remix-scripts.repo
 Source16:       RPM-GPG-KEY-group_asahi-fedora-remix-scripts
@@ -29,8 +27,8 @@ Source20:       group_asahi-mesa-x86_64.repo
 Source21:       group_asahi-steam.repo
 Source22:       RPM-GPG-KEY-group_asahi-steam
 
-%global repo_sources %SOURCE2 %SOURCE4 %SOURCE6 %SOURCE8 %SOURCE10 %SOURCE12 %SOURCE14 %SOURCE15 %SOURCE17
-%global key_sources %SOURCE3 %SOURCE5 %SOURCE7 %SOURCE9 %SOURCE11 %SOURCE13 %SOURCE16 %SOURCE18
+%global repo_sources %SOURCE2 %SOURCE4 %SOURCE6 %SOURCE8 %SOURCE10 %SOURCE14 %SOURCE15 %SOURCE17
+%global key_sources %SOURCE3 %SOURCE5 %SOURCE7 %SOURCE9 %SOURCE11 %SOURCE16 %SOURCE18
 %dnl install mesa x86 overlay repos only on aarch64
 %if "%{_arch}" == "aarch64"
 %global repo_sources %{repo_sources} %SOURCE19 %SOURCE20
@@ -42,7 +40,9 @@ Requires:       fedora-repos
 Requires:       fedora-gpg-keys
 Obsoletes:      %{name}-common < 1-5
 Provides:       %{name}-common = %{version}-%{release}
-Conflicts:      %{name}-edge < 1-4
+%if (0%{?fedora} && 0%{?fedora} <= 43)
+Obsoletes:      %{name}-edge <= 1-19
+%endif
 
 BuildArch:      noarch
 
@@ -57,15 +57,6 @@ Requires:       %{name}-common = %{version}-%{release}
 Additional repositories for enablement packages for Apple Silicon hardware
 maintained by the Fedora Asahi SIG (pre-release).
 
-%package edge
-Summary:        Unstable repositories for Apple Silicon hardware enablement
-Requires:       %{name} = %{version}-%{release}
-Conflicts:      %{name} < 1-4
-
-%description edge
-Additional repositories for Apple Silicon hardware enablement maintained by the
-Fedora Asahi SIG including unstable, preview and work in progress packages.
-
 %package rawhide-rebuilds
 Summary:        Repository tracking rawhide rebuilds for Apple Silicon packages
 Requires:       %{name}-common = %{version}-%{release}
@@ -134,26 +125,16 @@ install -Dpm0644 -t %{buildroot}%{_sysconfdir}/pki/rpm-gpg \
 %config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-mesa-x86_64-devel.repo
 %endif
 
-%files edge
-%license LICENSE
-%doc README.md
-%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-kernel-edge.repo
-%config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-kernel-edge
-
 %files rawhide-rebuilds
 %license LICENSE
 %doc README.md
 %config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-rawhide-rebuilds.repo
 %config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-rawhide-rebuilds
 
-%post edge
-echo
-echo 'Run the following command as root to switch to the Edge packages:'
-echo '  # dnf upgrade --refresh --setopt=allow_vendor_change=True mesa\* kernel\*'
-echo 'and then reboot your system.'
-echo
-
 %changelog
+* Thu May 01 2025 Janne Grunau <j@jannau.net> - 1-20
+- Drop asahi-repos-edge
+
 * Wed Dec 04 2024 Asahi Lina <lina@asahilina.net> - 1-19
 - Fix asahi-repos-devel for i386/x86_64 repos
 

